Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Interface IDropListenerContext

All Superinterfaces:
  IListenerContext

public interface IDropListenerContext
extends IListenerContext

Interface for accessing the attributes used to determine the `IDropTargetListener`.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.common.ui.services.dnd.core.IListenerContext
`ALL_TRANSFERS, DRAG, DROP`

Method Summary
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart`
`java.lang.Class` `getTargetElementType()` Returns an element type associated with the current target selected on the drop target viewer
`boolean` `isCompatible()` Returns a boolean to indicate whether a direct match is required for the element type or not.

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.dnd.core.IListenerContext
`getOperationType, getTransferId`

Method Detail

### isCompatible

    public boolean isCompatible()

  Returns a boolean to indicate whether a direct match is required for the element type or not. For a compatible type the element type supported by the provider should be assignable from this context's element type.

  Returns:
    true if compatible is requested, false otherwise (for a direct match)

### getActivePart

    public IWorkbenchPart getActivePart()

  Returns the active `IWorkbenchPart`

  Returns:
    Returns the active `IWorkbenchPart`

### getTargetElementType

    public java.lang.Class getTargetElementType()

  Returns an element type associated with the current target selected on the drop target viewer

  Returns:
    Returns a `Class`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.